Uploads a picture.

​

Body

required
application/json

The picture: PNG, JPEG, GIF or WebP, at most 10 MB and 50 megapixels

Responses

  • application/json
  • application/problem+json
  • application/problem+json
  • application/problem+json
  • application/problem+json
Request Example for post/api/v1/images
curl https://app.propstreet.com/api/v1/images \
  --request POST \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --form 'file=@filename' \
  --form 'purpose=contact'
{
  "id": "string",
  "width": 1,
  "height": 1,
  "contentType": "string",
  "url": "string"
}